<?xml version="1.0"?>
<launch>

  <arg name="tether_height" />
  <arg name="alpha" />
  <arg name="bag_prefix" value="Ftip_ht=$(arg tether_height)_a\=$(arg alpha)_most_likely_tipping" />


  <arg name="bag_start_delay" default="0.0" />
  <node pkg="rosbag" type="record" name="rosbag_record_diag" launch-prefix="bash -c 'sleep $(arg bag_start_delay); $0 $@' " args="record -o /home/create/bags/experiment2/$(arg bag_prefix)
      
      /electra/loadcell/raw_throttle

      /rover/arm2gravity_beta/deg
      /rover/arm2gravity_beta/rad

      /rover/inclination_alpha/deg
      /rover/inclination_alpha/rad

      /rover/leadout_encoder/raw
      /rover/leadout_encoder/deg

      /rover/pitch/deg
      /zed2i/zed_node/imu/data_throttle
      /zed2i/zed_node/rgb_raw/image_raw_color/compressed                                                                                                                                                                       
     " />

</launch>